Set the quality of rendering based on FPS values.

When using this the size of the canvas must be fixed with CSS.

The `addDeltaTime` method should be called once every frame.

Usage:

     const renderer = await compile(...);
     const autoscaler = new FpsQualityAutoscaler(renderer);

### Hierarchy

- FpsQualityAutoscaler

## Index

### Constructors

- constructor

### Properties

- fpsHysteresis
- fpsTarget

### Accessors

- FPS

### Methods

- addDeltaTime

## Constructors

### constructor

- new FpsQualityAutoscaler(renderer: Renderer): FpsQualityAutoscaler

- - Defined in graphics/rendering/fps-quality-autoscaler.ts:24

  #### Parameters

  - ##### renderer: Renderer

  #### Returns FpsQualityAutoscaler

## Properties

### fpsHysteresis

fpsHysteresis: number = 5

- Defined in graphics/rendering/fps-quality-autoscaler.ts:24

### Static fpsTarget

fpsTarget: number = 30

- Defined in graphics/rendering/fps-quality-autoscaler.ts:23

## Accessors

### FPS

- get FPS(): number

- - Defined in graphics/rendering/fps-quality-autoscaler.ts:28

  #### Returns number

## Methods

### addDeltaTime

- addDeltaTime(deltaTimeInMilliseconds: DOMHighResTimeStamp): void

- - Defined in graphics/rendering/fps-quality-autoscaler.ts:39

  Autoscaling is also done by calling this function

  #### Parameters

  - ##### deltaTimeInMilliseconds: DOMHighResTimeStamp

  #### Returns void